Update a webhook endpoint

Partial update. Setting status to DISABLED is reserved for the platform.

Authentication: Supports API key and bearer token authentication.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

endpoint_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Request

This endpoint expects an object.
urlstring or nullOptionalformat: "uri"1-2083 characters
event_typeslist of strings or nullOptional
When provided, must contain at least one event type.
descriptionstring or nullOptional
headersmap from strings to strings or nullOptional
statusenum or nullOptional
Only ACTIVE or PAUSED accepted. DISABLED is set by the platform.

Response

Successful Response
idstringformat: "^ep_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
urlstring
descriptionstring or null
event_typeslist of strings
headersmap from strings to strings or null
statusenum

Endpoint lifecycle state.

DISABLED is reserved for automatic disable by the auto-disable job; PAUSED is explicitly paused and indicates intent to resume.

disabled_reasonstring or null
created_atdatetime
updated_atdatetime

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error